[arch-commits] Commit in gtk-smooth-engine/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Mon Apr 6 18:58:42 EDT 2009


    Date: Monday, April 6, 2009 @ 18:58:41
  Author: eric
Revision: 34152

Merged revisions 34151 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gtk-smooth-engine/trunk

........
  r34151 | eric | 2009-04-06 18:58:24 -0400 (Mon, 06 Apr 2009) | 2 lines
  
  upgpkg: gtk-smooth-engine 0.6.0.1-3
      Added license
........

Modified:
  gtk-smooth-engine/repos/extra-x86_64/	(properties)
  gtk-smooth-engine/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)


Property changes on: gtk-smooth-engine/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gtk-smooth-engine/trunk:1-8928
   + /gtk-smooth-engine/trunk:1-34151

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-06 22:58:24 UTC (rev 34151)
+++ extra-x86_64/PKGBUILD	2009-04-06 22:58:41 UTC (rev 34152)
@@ -5,25 +5,26 @@
 
 pkgname=gtk-smooth-engine
 pkgver=0.6.0.1
-spkgver=0.5.8
-pkgrel=2
+_spkgver=0.5.8
+pkgrel=3
 pkgdesc="The smooth-engine for gtk1 - including smooth-themes for gtk1 and gtk2"
 arch=(i686 x86_64)
+url="http://sourceforge.net/projects/smooth-engine"
+license=('LGPL')
 depends=('gtk-engines' 'gdk-pixbuf')
-url="http://sourceforge.net/projects/smooth-engine"
 options=('!libtool')
-source=(http://dl.sourceforge.net/smooth-engine/$pkgname-$pkgver.tar.gz \
-        http://dl.sourceforge.net/smooth-engine/smooth-themes-$spkgver.tar.gz)
+source=(http://downloads.sourceforge.net/smooth-engine/$pkgname-$pkgver.tar.gz \
+        http://downloads.sourceforge.net/smooth-engine/smooth-themes-$_spkgver.tar.gz)
 md5sums=('a2231118c8187649d1e634fdfe6f36de' 'a46c592261c4d371498d644eece6493e')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --enable-gtk-1 --disable-gtk-2
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --enable-gtk-1 --disable-gtk-2 || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
 
-  cd $startdir/src/smooth-themes-$spkgver
-  ./configure --prefix=/usr --enable-gtk-1 --enable-gtk-2
+  cd $srcdir/smooth-themes-$_spkgver
+  ./configure --prefix=/usr --enable-gtk-1 --enable-gtk-2 || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list